::-webkit-scrollbar{
    display: none;
}

*{
    scrollbar-width: none;
    scrollbar-color: transparent transparent;
}

html, body{
	font-family: "Space Grotesk", sans-serif;
	font-optical-sizing: auto;
	color: #181d27;
	min-height: 100vh;
}

/*-- button --*/

.btn{
	background: #ffffff;
	color: #414651;
	border: 1px solid #d5d7da;
	font-size: 14px;
	font-weight: 600;
	padding: 6px 10px;
	border-radius: 0.5rem;
	transition-duration: 0.2s;
	outline: none !important;
	box-shadow: inset 0 -2px 0 0 #f9fafb,0 1px 2px 0 #0a0d120d;
	position: relative;
}

.btn:hover, .btn:active, .btn:focus, .btn:active:focus{
	background: #f9fafb;
	box-shadow: inset 0 -2px 0 0 #f9fafb,0 1px 2px 0 #0a0d120d;
}

.btn i{
	font-weight: 500;
}

.btn-primary{
	border-color: #ff7900;
	background: #ff7900;
	color: #ffffff;
	box-shadow: 0 1px 2px #0a0d120d;
}

.btn-primary:hover, .btn-primary:active, .btn-primary:focus, .btn-primary:active:focus{
	background: #ff601f;
	color: #ffffff;
	border-color: #ff601f;
	box-shadow: 0 1px 2px #0a0d120d;
}

.btn-primary.disabled, .btn-primary:disabled{
	border-color: #ff7900;
	background: #ff7900;
	color: #16171c;
	opacity: 0.6;
}

.btn-danger{
	border-color: #f44c52;
	background: #f44c52;
	color: #ffffff;
	box-shadow: 0 1px 2px #0a0d120d;
}

.btn-danger:hover, .btn-danger:active, .btn-danger:focus, .btn-danger:active:focus{
	background: #16171c;
	color: #ffffff;
	border-color: #16171c;
	box-shadow: 0 1px 2px #0a0d120d;
}

.btn-danger.disabled, .btn-danger:disabled{
	border-color: #d92d20;
	background: #d92d20;
	color: #ffffff;
	opacity: 0.6;
}

.btn-success{
	border-color: #00a56d;
	background: #00a56d;
	color: #ffffff;
	box-shadow: 0 1px 2px #0a0d120d;
}

.btn-success:hover, .btn-success:active, .btn-success:focus, .btn-success:active:focus{
	background: #16171c;
	color: #ffffff;
	border-color: #16171c;
	box-shadow: 0 1px 2px #0a0d120d;
}

.btn-success.disabled, .btn-success:disabled{
	border-color: #088359;
	background: #088359;
	color: #ffffff;
	opacity: 0.6;
}

.btn-warning{
	border-color: #f1b44e;
	background: #f1b44e;
	color: #ffffff;
	box-shadow: 0 1px 2px #0a0d120d;
}

.btn-warning:hover, .btn-warning:active, .btn-warning:focus, .btn-warning:active:focus{
	background: #16171c;
	color: #ffffff;
	border-color: #16171c;
	box-shadow: 0 1px 2px #0a0d120d;
}

.btn-warning.disabled, .btn-warning:disabled{
	border-color: #c78b26;
	background: #c78b26;
	color: #ffffff;
	opacity: 0.6;
}

.btn-sm{
	padding: 5px 11px;
	font-size: 13px;
	font-weight: 600;
}

.btn-sm i{
	font-weight: 500;
}

.btn-with-icon{
	padding-left: 34px;
}

.btn-with-icon i{
	position: absolute;
	left: 11px;
	font-size: 18px;
	top: 3px;
}

.btn-icon{
	display: block;
	font-size: 17px;
	padding: 4px 8px;
}

.btn-icon i{
	position: relative;
}

.btn-badge{
	position: absolute;
	top: -6px;
	right: -5px;
	background: #ff7900;
	color: #fff;
	font-size: 10px;
	border-radius: 100000px;
	padding: 0px 4px;
	display: block;
	min-width: 15px;
	width: max-content;
}

.input-btn-icon{
	width: 38px;
}

.input-btn-icon i{
	position: absolute;
	left: 9px;
	font-size: 18px;
	top: 4px;
}

/*-- form --*/

.form-required{
	color: #ff7900;
	font-size: 20px;
	position: absolute;
	right: -12px;
	top: -4px;
}

.form-label{
	margin-bottom: 3px;
	font-weight: 500;
	font-style: normal;
	color: #414651;
	font-size: 14px;
	letter-spacing: 0.016em;
	position: relative;
}

.form-validation-error{
	margin-bottom: 3px;
	font-weight: 500;
	font-style: normal;
	font-size: 14px;
	letter-spacing: 0.016em;
	margin-top: 5px;
	color: #f44c52;
}

input.form-control{
	font-size: 15px;
	font-weight: 500;
	padding: 6px 12px;
	border-radius: 0.5rem;
	border-color: #d5d7da;
	outline: none !important;
	box-shadow: 0 1px 2px 0 #0a0d120d;
	transition-duration: 0.2s;
}

input.form-control:active, input.form-control:focus{
	border-color: #d5d7da !important;
	box-shadow: 0 1px 2px 0 #0a0d120d;
}

input[type="file"]::file-selector-button{
  	background-color: #ffffff;
}

textarea.form-control{
	font-size: 15px;
	font-weight: 500;
	padding: 6px 12px;
	border-radius: 0.5rem;
	border-color: #d5d7da;
	outline: none !important;
	box-shadow: 0 1px 2px 0 #0a0d120d;
	transition-duration: 0.2s;
}

textarea.form-control:active, textarea.form-control:focus{
	border-color: #d5d7da !important;
	box-shadow: 0 1px 2px 0 #0a0d120d;
}

.form-control:hover:not(:disabled):not([readonly])::file-selector-button, .form-control:focus:not(:disabled):not([readonly])::file-selector-button{
    background-color: #f9fafb;
}

.form-check-input{
	width: 22px;
	height: 22px;
	border-radius: 7px !important;
	box-shadow: none !important;
	border-color: #d5d7da;
	outline: none !important;
	cursor: pointer;
}

.form-check-input:active{
	filter: none !important;
}

.form-check-input:focus{
	border-color: #d5d7da;
}

.form-check-input:checked{
	background-color: #ff7900;
	border-color: #ff7900;
}

.form-check-label{
	font-size: 14px;
	font-weight: 500;
	position: relative;
	top: 2px;
	left: 7px;
	user-select: none;
}

.form-check-input:checked[type="checkbox"]{
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23ffffff' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M6 10l3 3l6-6'/%3e%3c/svg%3e");
}

.input-group-text{
	background: #ffffff;
	font-size: 15px;
	font-weight: 500;
	box-shadow: 0 1px 2px 0 #0a0d120d;
}

.input-group-prepend .input-group-text{
	border-radius: 0px;
	border-top-left-radius: 0.5rem;
	border-bottom-left-radius: 0.5rem;
}

.input-group-append .input-group-text{
	border-radius: 0px;
	border-top-right-radius: 0.5rem;
	border-bottom-right-radius: 0.5rem;
}

.form-upload-preview-card{
	padding: 8px;
	border: 1px solid #d5d7da;
	border-radius: 8px;
	box-shadow: 0 1px 2px #0a0d120d;
	margin-top: 10px;
	position: relative;
}

.form-upload-preview-card-file-icon{
	width: 44px;
	height: 44px;
	outline: none !important;
	box-shadow: none !important;
	background: #ff34450d;
	border: 1px solid #d5d7da;
	border-radius: 8px;
	color: #ff3445;
	font-size: 24px;
	padding: 0px;
	margin-right: 12px;
	pointer-events: none;
}

.form-upload-preview-card-image{
	width: 44px;
	height: 44px;
	border: 1px solid #d5d7da;
	border-radius: 8px;
	margin-right: 12px;
	object-fit: cover;
	background: #e9ecef;
}

.form-upload-preview-card h5{
	font-weight: 500;
	font-size: 15px;
	margin-bottom: 4px;
	margin-top: 2px;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
	width: 245px;
}

.form-upload-preview-card p{
	font-weight: 500;
	font-size: 12px;
	margin-bottom: 0px;
	color: #757981;
	width: 80%;
}

.form-upload-preview-card .spinner-border{
	opacity: 0.8;
	scale: 0.8;
	position: relative;
	top: 1px;
	left: -1px;
}

.form-upload-preview-card-remove-btn{
	position: absolute;
	top: 16px;
	right: 12px;
	border: none !important;
	padding: 0px;
	outline: none;
	background: none;
	font-size: 18px;
	color: #414651;
	transition-duration: 0.3s;
}

.form-upload-preview-card-remove-btn:hover{
	color: #f44c52;
}

.form-upload-preview-card-download-btn{
	position: absolute;
	top: 16px;
	right: 44px;
	border: none !important;
	padding: 0px;
	text-decoration: none !important;
	outline: none;
	background: none;
	font-size: 18px;
	color: #414651;
	transition-duration: 0.3s;
}

.form-upload-preview-card-download-btn:hover{
	color: #757981;
}

.form-helper-text{
	margin-bottom: 0px;
	font-weight: 500;
	color: #414651;
	font-size: 12px;
	margin-top: 5px;
	opacity: 0.7;
}

.form-footer-helper-text{
	font-weight: 500;
	color: #414651bd;
	font-size: 12px;
	margin-top: 0px;
	margin-bottom: 0px;
}

.form-select-spinner{
	opacity: 0.5;
	scale: 0.8;
	position: absolute;
	top: 36px;
	z-index: 10;
	right: 38px;
}

/*-- modal --*/

.modal-xs{
	max-width: 380px;
}

.modal-content-pattern-background{
	background: url('../images/modal-pattern-background.svg');
	background-size: 313px;
	background-position: -122px -120px;
	background-repeat: no-repeat;
	background-color: #fff;
}

.modal-content{
	border: none;
	border-radius: 10px;
}

.modal-header{
	border: none;
	padding: 16px 16px;
	display: block;
	padding-bottom: 5px;
}

.modal-header .btn-close{
	scale: 0.8;
	position: absolute;
	top: 20px;
	right: 16px;
	box-shadow: none !important;
}

.modal-title{
	font-size: 16px;
}

.modal-description{
	margin: 0;
	color: #535862;
	font-size: 14px;
}

.modal-body{
	padding: 5px 16px;
}

.modal-footer{
	border: none;
	padding: 16px 16px;
	display: block;
}

.modal-footer > *{
	margin: unset;
}

.modal-header-icon{
	background: #fff;
	border: 1px solid #e9eaeb;
	width: 38px;
	height: 38px;
	box-shadow: 0 1px 2px 0 #0a0d120d;
	border-radius: 9px;
	color: #414651;
	pointer-events: none;
	margin-bottom: 10px;
	font-size: 20px;
}

@media (min-width: 400px){
	.modal-dialog{
		margin: 1.75rem auto;
	}
}

/*-- progress --*/

.progress{
	border-radius: 1000px;
	height: 6px;
	margin: auto;
}

.progress .progress-bar{
	width: 50%;
	background: #ff7900;
}

/*-- alert --*/

.alert{
	border: none;
	padding: 10px 12px;
	border-radius: 8px;
	font-size: 14px;
	font-weight: 500;
	margin: 0px;
}

.alert-danger{
	background: #fdefef;
	color: #f44c52;
}

/*-- pagination --*/

.pagination{
	width: max-content;
	margin: 0px;
	margin-left: auto;
	margin-right: auto;
}

.pagination .page-item{
	margin-right: 4px;
}

.pagination .page-link{
	border: none;
	border-radius: 0.5rem !important;
	padding: 5px 6px;
	min-width: 30px;
	text-align: center;
	color: #6c757d;
	font-size: 14px;
	font-weight: 500;
	z-index: 1 !important;
	box-shadow: none !important;
}

.pagination-count-text{
	font-weight: 500;
	font-size: 14px;
	margin: 0px;
	opacity: 0.5;
}

.page-item.active .page-link{
	color: #252b37;
	background-color: #f9fafb;
}

.page-item.disabled .page-link{
	opacity: 0.6;
}

.page-link:hover{
	background-color: #f9fafb;
}

/*-- table --*/

.table{
	margin: 0;
}

.table thead{
	background: #f9fafb;
}

.table > :not(caption) > * > *{
	border: none;
}

.table th{
	color: #535862;
	font-size: 13px;
	font-weight: 600;
	padding: 10px 1rem;
	position: relative;
}

.table tr{
	border-bottom: 1px solid #e9eaeb;
}

.table td{
	padding: 5px 1rem;
	font-size: 14px;
	font-weight: 500;
	color: #212529;
	min-height: 45px;
	height: 45px;
	vertical-align: middle;
}

.table-row-link{
	color: #212529 !important;
	text-decoration: none !important;
	cursor: pointer;
}

.table-row-action-btn{
	font-size: 18px;
	margin-right: 10px;
	color: #a4a7ae;
	cursor: pointer;
	text-decoration: none;
	transition-duration: 0.3s;
}

.table-row-action-btn:hover{
	color: #535862;
}

.table-row-sort-handle{
	font-size: 20px;
	opacity: 0.5;
}

.table-sort-btn{
	background: #fff;
	padding: 2px 4px;
	border: 1px solid #d5d7da;
	border-radius: 5px;
	color: #414651;
	text-decoration: none;
	box-shadow: 0 1px 2px #0a0d120d;
	transition-duration: 0.3s;
	outline: none !important;
	position: absolute;
	top: 8px;
	right: 6px;
}

.table-sort-btn:hover, .table-sort-btn:active, .table-sort-btn:focus, .table-sort-btn:active:focus{
	background: #f9fafb;
	color: #414651;
  	box-shadow: inset 0 -2px 0 0 #f9fafb,0 1px 2px 0 #0a0d120d;
}

.table-sort-btn.active{
	color: #ff7900 !important;
}

.table-header-spinner{
	opacity: 0.7;
	scale: 0.9;
	position: relative;
	top: 2px;
	left: 2px;
}

.table-row-image{
	height: 34px;
	display: block;
	width: 34px;
	object-fit: cover;
	border-radius: 5px;
	border: 1px solid #d5d7da;
}

/*-- badge --*/

.badge{
	font-size: 12px;
	font-weight: 500;
	color: #414651;
	background: #f9fafb;
	border-radius: 10000px;
	border: 1px solid #e9eaeb;
	padding: 5px 10px;
}

.badge-primary{
	color: #6941c6;
	background: #f9f5ff;
	border-color: #e9d7fe;
}

.badge-success{
	color: #00a56d;
	background: #dff8f2;
	border-color: #00a56d;
}

.badge-danger{
	color: #f44c52;
	background: #fef3f2;
	border-color: #fecdc9;
}

.badge-warning{
	color: #f1b44e;
	background: #fff8e5;
	border-color: #f1b44e;
}

.badge-bronze{
	color: #f7aa66;
	background: #f7aa6620;
	border-color: #f7aa66;
}

.badge-gold{
	color: #f1b44e;
	background: #fff8e5;
	border-color: #f1b44e;
}

.badge-prime{
	color: #00a56d;
	background: #dff8f2;
	border-color: #00a56d;
}

/*-- tooltip --*/

.tooltip.show{
	opacity: 1;
}

.tooltip-inner{
	font-size: 12px;
	border-radius: 8px;
	background: #0a0d12;
}

/*-- opcaity --*/

.opacity-60{
	opacity: 0.6;
}

.opacity-50{
	opacity: 0.5;
}

/*-- text --*/

a:hover{
	color: #ff7900;
}

.text-danger{
	color: #f44c52 !important;
}

.text-success{
	color: #00a56d !important;
}

.text-primary{
	color: #ff7900 !important;
}

.text-warning{
	color: #f1b44e !important;
}

.text-gold{
	color: #e4b262 !important;
}

/*-- copy text btn --*/

.copy-text-btn{
	cursor: pointer;
	opacity: 0.6;
}

/*-- width --*/

.w-fit-content{
	width: fit-content !important;
}

/*-- color --*/

.bg-danger{
	background-color: #f44c52 !important;
}

/*-- dropdown --*/

.dropdown-menu{
	border: 1px solid #e9eaeb;
	border-radius: 8px;
	box-shadow: 0 1px 2px 0 #0a0d120d;
	padding: 0px;
	overflow: hidden;
}

.dropdown-menu li{
	border-bottom: 1px solid #e9eaeb;
	position: relative;
}

.dropdown-menu li a{
	font-size: 14px;
	font-weight: 500;
	padding: 7px 12px;
	transition-duration: 0.3s;
	padding-left: 33px;
	color: #212529 !important;
}

.dropdown-menu li a:hover{
	background: #fafafa;
}

.dropdown-menu li a i{
	font-size: 16px;
	color: #717680;
	position: absolute;
	left: 9px;
	top: 5px;
}

/*-- utilities --*/

.cursor-pointer{
	cursor: pointer;
}

.resize-none{
	resize: none;
}

/*-- opacity --*/

.opacity-100{
	opacity: 1 !important;
}